Subject: bug#30435: closed (Re: bug#30435: libreoffice: Fonts don't show up after install)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Aug 2023 03:30:02 +0000

Your bug report

#30435: libreoffice: Fonts don't show up after install

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30435: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30435
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30435: libreoffice: Fonts don't show up after install
From: Maxim Cournoyer <[email-masked]>
To: Felix Lechner <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>, Pierre Neidhardt <[email-masked]>, hmk <[email-masked]>
Date: Mon, 28 Aug 2023 23:28:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hi Felix,
>
> Felix Lechner <[email-masked]> writes:
>
>> Hi,
>>
>> On Mon, Feb 20, 2023 at 8:06 AM Maxim Cournoyer
>> <[email-masked]> wrote:
>>>
>>> I haven't seen this problem in a long while, so I'm inclined to think
>>> it's been resolved.
>>
>> I think I had that issue with a fresh install within the last year and
>> based on advice in IRC (thanks nckx!) ran 'fc-cache -fv'.

On a second thought, let's close this issue and reopen a new one if it
rears its ugly head again :-).

-- 
Thanks,
Maxim

Subject: libreoffice: Fonts don't show up after install
From: hmk <[email-masked]>
To: [email-masked]
Date: Mon, 12 Feb 2018 12:06:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: guix

After installing and running libreoffice with
$ guix package -i [email-masked]
$ soffice
no fonts show up (see attached screenshot).

Following the instructions provided by
https://www.gnu.org/software/guix/manual/html_node/Application-Setup.html#Application-Setup
I did
$ guix package -i fontconfig font-gnu-freefont-ttf
$ fc-cache -f
and this solves the issue.

Is this a missing dependency? Even though instructions to fix this
problem are given, from an end-user's perspective it would be nicer 
perhaps to
have it automated?

(It's the first time I am posting to debbugs.gnu.org -- apologies if
something is not done in the proper way or form.)